Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] testing/s6-rc: new aport

From: Christian Kampka <christian_at_kampka.net>
Date: Mon, 28 Sep 2015 22:02:57 +0200

s6-rc is a service manager for s6-based systems, i.e. a suite of programs
that can start and stop services, both long-running daemons and one-time
initialization scripts, in the proper order according to a dependency tree.
It ensures that long-running daemons are supervised by the s6 infrastructure,
and that one-time scripts are also run in a controlled environment.

http://skarnet.org/software/s6-rc/
---
 testing/s6-rc/APKBUILD | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)
 create mode 100644 testing/s6-rc/APKBUILD
diff --git a/testing/s6-rc/APKBUILD b/testing/s6-rc/APKBUILD
new file mode 100644
index 0000000..7c17f96
--- /dev/null
+++ b/testing/s6-rc/APKBUILD
_at_@ -0,0 +1,49 @@
+# Contributor: Christian Kampka <christian_at_kampka.net>
+# Maintainer: Christian Kampka <christian_at_kampka.net>
+pkgname=s6-rc
+pkgver=0.0.1.0
+pkgrel=0
+pkgdesc="A service manager for s6-based systems."
+url="http://skarnet.org/software/$pkgname/"
+arch="all"
+license="ISC"
+depends="skalibs execline s6"
+depends_dev="skalibs-dev execline-dev s6-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--enable-shared \
+		--enable-static \
+		--disable-allstatic \
+		--prefix=/usr \
+		--libdir=/usr/lib \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="b4a5f6a8d07b09bd6a53bb02d3168eaf  s6-rc-0.0.1.0.tar.gz"
+sha256sums="7cbef52ed74d6bda1827395c116d808b4e0202b7e73dc3e37d080041142e9e3a  s6-rc-0.0.1.0.tar.gz"
+sha512sums="cd584fb83910743436961452e87a53c3fcef04dce06c0b45d9811673059da7d37378c4b61ec26671bcae5de9fcac6eddea97ec4cdd06e62c08047c0f49853df5  s6-rc-0.0.1.0.tar.gz"
-- 
2.5.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Sep 28 2015 - 22:02:57 GMT